package cn.com.victorysoft.business.sys.param;

import cn.com.victorysoft.business.util.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel("单位日期范围参数")
@Data
public class UnitDateRangeParam {

    @ApiModelProperty("单位代码")
    private String unitcode;

    @ApiModelProperty("开始日期")
    private Date startDate;

    @ApiModelProperty("结束日期")
    private Date endDate;

    public void setStartDate(Date startDate) {
        this.startDate = DateUtils.getDiagDate(startDate);
    }

    public void setEndDate(Date endDate) {
        this.endDate = DateUtils.getDiagDate(endDate);
    }
}
